#include "\a3\ui_f\hpp\defineCommon.inc"

#define CT_CONTROLS_TABLE 19

class focusModeDisplayButton
{
	deletable = 0;
	fade = 0;
	access = 0;
	type = 1;
	text = "";
	colorText[] = {1,1,1,1};
	colorDisabled[] = {1,1,1,0.25};
	colorBackground[] = {0,0,0,0.7};
	colorBackgroundDisabled[] = {0,0,0,0.5};
	colorBackgroundActive[] = {0,0,0,0.35};
	colorFocused[] = {0,0,0,0.8};
	colorShadow[] = {0,0,0,0};
	colorBorder[] = {0,0,0,1};
	soundEnter[] =
	{
		"\A3\ui_f\data\sound\RscButton\soundEnter",
		0,
		1
	};
	soundPush[] =
	{
		"\A3\ui_f\data\sound\RscButton\soundPush",
		0,
		1
	};
	soundClick[] =
	{
		"\A3\ui_f\data\sound\RscButton\soundClick",
		0,
		1
	};
	soundEscape[] =
	{
		"\A3\ui_f\data\sound\RscButton\soundEscape",
		0,
		1
	};
	idc = -1;
	style = 0;
	x = 0;
	y = 0;
	w = 0;
	h = 0;
	shadow = 2;
	font = "RobotoCondensed";
	sizeEx = (((((safezoneW / safezoneH) min 1.2) / 1.2) / 25) * 0.9);
	url = "";
	offsetX = 0;
	offsetY = 0;
	offsetPressedX = 0;
	offsetPressedY = 0;
	borderSize = 0;
};

class focusModeDisplay
{
	idd = 41998;
	class controls
	{
		class _CT_CONTROLSTABLE
		{
			idc = 41999;
			onLoad = "";
			x = safeZoneX + safeZoneW * 0.03027344;
			y = safeZoneY + safeZoneH * 0.21701389;
			w = (safeZoneW * 0.1875) + (1.5 * GUI_GRID_W);
			h = safeZoneH * 0.56597223;
			
			type = CT_CONTROLS_TABLE;
			style = SL_TEXTURES;
			
			lineSpacing = "1 * 0.75 * pixelGrid * pixelH";
			rowHeight = 1.5 * GUI_GRID_H;
			headerHeight = 1 * GUI_GRID_H;
			
			firstIDC = 42000;
			lastIDC = 44999;
			
			// Colours which are used for animation (i.e. change of colour) of the selected line.
			selectedRowColorFrom[]  = {1, 1, 1, 0.6};
			selectedRowColorTo[]    = {1, 1, 1, 0.6};
			// Length of the animation cycle in seconds.
			selectedRowAnimLength = 0;
			
			class ScrollBar
			{
				color[] = {1,1,1,0.6};
				colorActive[] = {1,1,1,1};
				colorDisabled[] = {1,1,1,0.3};
				thumb = "\A3\ui_f\data\gui\cfg\scrollbar\thumb_ca.paa";
				arrowEmpty = "\A3\ui_f\data\gui\cfg\scrollbar\arrowEmpty_ca.paa";
				arrowFull = "\A3\ui_f\data\gui\cfg\scrollbar\arrowFull_ca.paa";
				border = "\A3\ui_f\data\gui\cfg\scrollbar\border_ca.paa";
			};

			class VScrollBar: ScrollBar
			{
				width = 0.021;
				autoScrollEnabled = 0;
				autoScrollDelay = 1;
				autoScrollRewind = 1;
				autoScrollSpeed = 1;
			};
		
			class HScrollBar: ScrollBar
			{
				height = 0.028;
			};
			
			// Template for selectable rows
			class RowTemplate
			{
				class RowColor
				{
					controlBaseClassPath[] = {"RscText"};
					columnX = 0;
					columnW = 1.5 * GUI_GRID_W;
					controlOffsetY = 0;
					controlH = 1.5 * GUI_GRID_H;
				};
				class RowIcon
				{
					controlBaseClassPath[] = {"RscPictureKeepAspect"};
					columnX = 0.2 * GUI_GRID_W;
					columnW = 1.1 * GUI_GRID_W;
					controlOffsetY = 0.2 * GUI_GRID_H;
					controlH = 1.1 * GUI_GRID_H;
				};
				class Column1
				{
					controlBaseClassPath[] = {"focusModeDisplayButton"};
					columnX = 1.5 * GUI_GRID_W;
					columnW = safeZoneW * 0.1875;
					controlOffsetY = 0;
					controlH = 1.5 * GUI_GRID_H;
				};
			};
			
			// Template for headers (unlike rows, cannot be selected)
			class HeaderTemplate
			{
				
			};
		};
	};
};